AMG_Prolongation.cpp File Reference
`#include "Paso.h"`
`#include "Options.h"`
`#include "PasoUtil.h"`
`#include "Preconditioner.h"`
`#include "SparseMatrix.h"`
`#include <cstring>`

## Namespaces

| paso

## Functions

SystemMatrix_ptr | paso::Preconditioner_AMG_getProlongation (SystemMatrix_ptr A_p, const index_t *offset_S, const dim_t *degree_S, const index_t *S, const dim_t n_C, index_t *counter_C, const index_t interpolation_method)
void | paso::Preconditioner_AMG_setDirectProlongation (SystemMatrix_ptr P, SystemMatrix_ptr A, const index_t *offset_S, const dim_t *degree_S, const index_t *S, const index_t *counter_C)
void | paso::Preconditioner_AMG_setDirectProlongation_Block (SystemMatrix_ptr P, SystemMatrix_ptr A, const index_t *offset_S, const dim_t *degree_S, const index_t *S, const index_t *counter_C)
void | paso::Preconditioner_AMG_setClassicProlongation (SystemMatrix_ptr P, SystemMatrix_ptr A, const index_t *offset_S, const dim_t *degree_S, const index_t *S, const index_t *counter_C)
void | paso::Preconditioner_AMG_setClassicProlongation_Block (SystemMatrix_ptr P, SystemMatrix_ptr A, const index_t *offset_S, const dim_t *degree_S, const index_t *S, const index_t *counter_C)